/providers/Microsoft.ADHybridHealthService/services/{serviceName}/servicemembers/{serviceMemberId}
https://azure.com/providers/Microsoft.ADHybridHealthService/services/{serviceName}/servicemembers/{serviceMemberId}Deletes a server that has been onboarded to Azure Active Directory Connect Health Service.
Path Parameters
The name of the service.
The server Id.
Query Params
Indicates if the server will be permanently deleted or disabled. True indicates that the server will be permanently deleted and False indicates that the server will be marked disabled and then deleted after 30 days, if it is not re-registered.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://azure.com/providers/Microsoft.ADHybridHealthService/services/{serviceName}/servicemembers/{serviceMemberId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}